<mat-form-field>
  <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
</mat-form-field>
<table mat-table [dataSource]="persons" class="mat-elevation-z8" matSort>

  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> Id </th>
    <td mat-cell *matCellDef="let person"> {{person.id}} </td>
  </ng-container>
  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
    <td mat-cell *matCellDef="let person"> {{person.name}} </td>
  </ng-container>
  <ng-container matColumnDef="surname">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> Surname </th>
    <td mat-cell *matCellDef="let person"> {{person.surname}} </td>
  </ng-container>
  <ng-container matColumnDef="birthdate">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> Birthdate </th>
    <td mat-cell *matCellDef="let person"> {{person.birthdate | date:'dd/MM/yyyy'}} </td>
  </ng-container>


  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

</table>